osl::rating::Group Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::rating::Group Class Reference

mutually exclusive set of features More...

`#include <group.h>`

Inheritance diagram for osl::rating::Group:
[legend]
Collaboration diagram for osl::rating::Group:
[legend]

## Public Member Functions
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
virtual void | show (std::ostream &, int name_width, const range_t &range, const vector< double > &weights) const
virtual int | findMatch (const NumEffectState &state, Move m, const RatingEnv &env) const
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, vector< double > &weights) const
virtual bool | effectiveInCheck () const

## Public Attributes
std::string | group_name

## Detailed Description

mutually exclusive set of features

Definition at line 16 of file group.h.

## Constructor & Destructor Documentation

osl::rating::Group::Group | ( | const std::string & | name) |  |

Definition at line 15 of file group.cc.

osl::rating::Group::Group | ( | Feature * | f) |  |
| inline

Definition at line 22 of file group.h.

osl::rating::Group::~Group | ( | ) |  |
| virtual

Definition at line 20 of file group.cc.

## Member Function Documentation

virtual bool osl::rating::Group::effectiveInCheck | ( | ) |  | const
| inlinevirtual

Reimplemented in osl::rating::OpenGroup, osl::rating::BlockGroup, osl::rating::KingEscapeGroup, osl::rating::CheckGroup, osl::rating::SquareYGroup, osl::rating::PatternLongGroup2, osl::rating::ToSupportedGroup, osl::rating::TakeBackGroup, osl::rating::SquareXGroup, osl::rating::PtypeAttackedGroup, osl::rating::PatternLongGroup, osl::rating::CaptureGroup, osl::rating::RelativeKingYGroup, osl::rating::FromEffectGroup, osl::rating::RelativeKingXGroup, osl::rating::PatternGroup, and osl::rating::AttackKing8Group.

Definition at line 39 of file group.h.

Referenced by osl::rating::FeatureSet::addCommon().

int osl::rating::Group::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env
| ) |  | const
| virtual

Returns
  -1 if not found

Reimplemented in osl::rating::PawnAttackGroup, osl::rating::BadLanceGroup, osl::rating::ImmediateAddSupportGroup, osl::rating::KaranariGroup, osl::rating::ChaseGroup, osl::rating::OpenGroup, osl::rating::BlockGroup, osl::rating::KingEscapeGroup, osl::rating::SendOffGroup, osl::rating::DropCapturedGroup, osl::rating::ImmediateEscapeGroup, osl::rating::PatternBlockGroup, osl::rating::CheckGroup, osl::rating::ContinueCaptureGroup, osl::rating::SquareYGroup, osl::rating::PatternLongGroup2, osl::rating::ToSupportedGroup, osl::rating::ShadowEffectGroup, osl::rating::EscapePinGroup, osl::rating::SquareXGroup, osl::rating::TakeBackGroup, osl::rating::PatternLongGroup, osl::rating::ThreatmateGroup, osl::rating::PtypeAttackedGroup, osl::rating::RelativeKingYGroup, osl::rating::DefenseKing8Group, osl::rating::PinGroup, osl::rating::CheckmateIfCaptureGroup, osl::rating::BigramAttackGroup, osl::rating::PatternGroup, osl::rating::CaptureGroup, osl::rating::RelativeKingXGroup, osl::rating::FromEffectGroup, and osl::rating::AttackKing8Group.

Definition at line 24 of file group.cc.

bool osl::rating::Group::load | ( | const std::string & | directory,
|  | const range_t & | range,
|  | vector< double > & | weights
| ) |  | const

Definition at line 47 of file group.cc.

void osl::rating::Group::saveResult | ( | const std::string & | directory,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const

Definition at line 33 of file group.cc.

void osl::rating::Group::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const
| virtual

Reimplemented in osl::rating::PawnAttackGroup, osl::rating::BadLanceGroup, osl::rating::ImmediateAddSupportGroup, osl::rating::KaranariGroup, osl::rating::ChaseGroup, osl::rating::OpenGroup, osl::rating::BlockGroup, osl::rating::KingEscapeGroup, osl::rating::SendOffGroup, osl::rating::DropCapturedGroup, osl::rating::PatternBlockGroup, osl::rating::ImmediateEscapeGroup, osl::rating::CheckGroup, osl::rating::ContinueCaptureGroup, osl::rating::SquareYGroup, osl::rating::PatternLongGroup2, osl::rating::ToSupportedGroup, osl::rating::ShadowEffectGroup, osl::rating::EscapePinGroup, osl::rating::SquareXGroup, osl::rating::TakeBackGroup, osl::rating::PatternLongGroup, osl::rating::ThreatmateGroup, osl::rating::PtypeAttackedGroup, osl::rating::RelativeKingYGroup, osl::rating::DefenseKing8Group, osl::rating::PinGroup, osl::rating::CheckmateIfCaptureGroup, osl::rating::BigramAttackGroup, osl::rating::PatternGroup, osl::rating::CaptureGroup, osl::rating::RelativeKingXGroup, osl::rating::FromEffectGroup, and osl::rating::AttackKing8Group.

Definition at line 62 of file group.cc.

void osl::rating::Group::showAll | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const

Definition at line 74 of file group.cc.

Referenced by osl::rating::CaptureGroup::show(), osl::rating::CheckmateIfCaptureGroup::show(), osl::rating::ThreatmateGroup::show(), osl::rating::TakeBackGroup::show(), osl::rating::ShadowEffectGroup::show(), osl::rating::ToSupportedGroup::show(), osl::rating::ContinueCaptureGroup::show(), osl::rating::CheckGroup::show(), osl::rating::SendOffGroup::show(), osl::rating::KingEscapeGroup::show(), osl::rating::BlockGroup::show(), osl::rating::KaranariGroup::show(), osl::rating::BadLanceGroup::show(), and osl::rating::PawnAttackGroup::show().

void osl::rating::Group::showMinMax | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights
| ) |  | const

Definition at line 85 of file group.cc.

References osl::eval::max(), and osl::eval::min().

void osl::rating::Group::showTopN | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const vector< double > & | weights,
|  | int | n
| ) |  | const

Definition at line 100 of file group.cc.

Referenced by osl::rating::FromEffectGroup::show(), osl::rating::AttackKing8Group::show(), osl::rating::RelativeKingXGroup::show(), osl::rating::PatternGroup::show(), osl::rating::BigramAttackGroup::show(), osl::rating::DefenseKing8Group::show(), osl::rating::PinGroup::show(), osl::rating::PtypeAttackedGroup::show(), osl::rating::RelativeKingYGroup::show(), osl::rating::PatternLongGroup::show(), osl::rating::SquareXGroup::show(), osl::rating::EscapePinGroup::show(), osl::rating::PatternLongGroup2::show(), osl::rating::SquareYGroup::show(), osl::rating::ImmediateEscapeGroup::show(), osl::rating::PatternBlockGroup::show(), osl::rating::DropCapturedGroup::show(), osl::rating::OpenGroup::show(), osl::rating::ChaseGroup::show(), and osl::rating::ImmediateAddSupportGroup::show().

## Member Data Documentation

std::string osl::rating::Group::group_name

Definition at line 19 of file group.h.

The documentation for this class was generated from the following files:

- group.h
- group.cc